Bug 19020 - updated dbus permissions
Summary: updated dbus permissions
Status: RESOLVED FIXED
Alias: None
Product: ConsoleKit
Classification: Unclassified
Component: Daemon (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: william.jon.mccann
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-11 11:12 UTC by Colin Walters
Modified: 2009-02-11 19:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
update permissions (9.10 KB, patch)
2008-12-11 11:12 UTC, Colin Walters
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Walters 2008-12-11 11:12:50 UTC
Created attachment 21062 [details] [review]
update permissions

This patch is relatively conservative; it adds send_destination= to all the rules (as is very important, see https://bugs.freedesktop.org/show_bug.cgi?id=18961).

It also adds SetIdleHint into the default allow.  From the source it looks that that method implementation checks the caller.

Please review.  

Also an open question - do all the methods verify their caller?  In that case the policy file can be *much* simpler; see:
http://lists.freedesktop.org/archives/dbus/2008-December/010717.html
Comment 1 Simon McVittie 2009-01-06 06:58:46 UTC
For what it's worth, this is <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=510645>. I've backported Colin's patch to the version of CK in Debian 5.0 and proposed it for inclusion.
Comment 2 Colin Walters 2009-02-03 11:36:01 UTC
Any thoughts on this patch?  I'm pushing a newer dbus into Fedora 11 and I'd like to get this bug fixed.
Comment 3 william.jon.mccann 2009-02-11 19:04:42 UTC
Sorry for the long delay.  Thanks a lot for looking into this!  David checked it and committed it to master already:
http://cgit.freedesktop.org/ConsoleKit/commit/?id=e0d9cc359b3099307067107b59ec691418e280b8


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.